---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Get Card details

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/agent/card-details": {
      "summary": "This specification provides the details to get card details by card token",
      "get": {
        "tags": [
          "Manage Payment Request"
        ],
        "parameters": [
          {
            "name": "merchant_id",
            "schema": {
              "$ref": "#/components/schemas/merchant_id"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "application_key",
            "schema": {
              "$ref": "#/components/schemas/application_key"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "cid",
            "schema": {
              "$ref": "#/components/schemas/cid"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "card_token",
            "schema": {
              "$ref": "#/components/schemas/card_token"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "timestamp",
            "schema": {
              "$ref": "#/components/schemas/timestamp"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "version",
            "schema": {
              "$ref": "#/components/schemas/version"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_for_get_card_details"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-get-card-details-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "cardDetails",
        "summary": "Get Card details"
      }
    }
  },
  "components": {
    "schemas": {
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "cid": {
        "description": "Unique customer id in your system.\r\n\r\n*__Note:__* *Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.*",
        "maxLength": 50,
        "type": "string",
        "example": "1020"
      },
      "card_number": {
        "description": "Customer card number (4444 44** **** 1233)",
        "maxLength": 19,
        "type": "string"
      },
      "card_exp": {
        "description": "Customer card exp (10/2023)",
        "maxLength": 8,
        "type": "string"
      },
      "card_token": {
        "description": "HASH value of customer's card.\n\n*__Note:__* *This field must not be sent in any subsequent Merchant Initiated Transaction (MIT) requests.*",
        "maxLength": 32,
        "type": "string",
        "example": "af7d1b07c48fbeff116b2bb3e84fb4c9"
      },
      "card_type": {
        "description": "Customer card type (AMEX, DinersClub, Discover, Electron, JCB, Maestro, MasterCard, Mir, VISA)",
        "maxLength": 10,
        "type": "string"
      },
      "card_issuer_name": {
        "description": "Customer card issuing bank name",
        "maxLength": 255,
        "type": "string"
      },
      "card_issuer_country": {
        "description": "Customer card issuing bank country",
        "maxLength": 2,
        "type": "string"
      },
      "card_holder": {
        "description": "The cardholder name field will be sent to the CRM in the notification only if the setting in the Atlas BO is enabled. Otherwise, the key will not be sent at all (not 0 / null / empty string).",
        "maxLength": 255,
        "type": "string"
      },
      "card_funding_source": {
        "description": "Funding source (DEBIT, CREDIT). This parameter including in the request by enabling an additional setting on Atlas BO.",
        "maxLength": 255,
        "type": "string"
      },
      "card_subtype": {
        "description": "The card category subtype is CONSUMER or COMMERCIAL. This parameter is included in the request when an additional setting is enabled in the Atlas BO.",
        "maxLength": 255,
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "property_req_header_signature_params_for_get_card_details": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`\n- `cid`\n- `card_token`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "object_response_200_ok_get_card_details": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "required": [
              "card_network_attributes",
              "card_token",
              "card_number",
              "card_type",
              "card_funding_source",
              "card_subtype"
            ],
            "type": "object",
            "properties": {
              "card_network_attributes": {
                "$ref": "#/components/schemas/card_network_attributes"
              },
              "card_token": {
                "$ref": "#/components/schemas/card_token"
              },
              "card_number": {
                "$ref": "#/components/schemas/card_number"
              },
              "card_type": {
                "$ref": "#/components/schemas/card_type"
              },
              "card_exp": {
                "$ref": "#/components/schemas/card_exp"
              },
              "card_issuer_name": {
                "$ref": "#/components/schemas/card_issuer_name"
              },
              "card_issuer_country": {
                "$ref": "#/components/schemas/card_issuer_country"
              },
              "card_holder": {
                "$ref": "#/components/schemas/card_holder"
              },
              "card_funding_source": {
                "$ref": "#/components/schemas/card_funding_source"
              },
              "card_subtype": {
                "$ref": "#/components/schemas/card_subtype"
              }
            }
          }
        ]
      },
      "card_network_attributes": {
        "description": "One of the below values\n- VISA \n- MasterCard",
        "type": "object",
        "properties": {
          "visa_direct_support": {
            "description": "The possible values of the above key are\r\n- 0 - Not supported.\r\n- 1 - Supported for domestic and cross-border transactions.\r\n- 2 - Supported for domestic transactions only.\r\n- 3 - Enabled status unknown for BIN.",
            "type": "integer",
            "enum": [
              0,
              1,
              2,
              3
            ]
          },
          "mastercard_send_support": {
            "description": "The possible values of the above key are\r\n- 0 - Not supported.\r\n- 1 - Supported for domestic and cross-border transactions.\r\n- 2 - Supported for domestic transactions only.\r\n- 3 - Enabled status unknown for BIN.",
            "type": "integer",
            "enum": [
              0,
              1,
              2,
              3
            ]
          }
        }
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-get-card-details-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_get_card_details"
            },
            "examples": {
              "success visa response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "version": "1.3",
                  "timestamp": 1755853580,
                  "card_token": "af7d1b07c48fbeff116b2bb3e84fb4c9",
                  "card_number": "491694******1514",
                  "card_holder": "John Doe",
                  "card_exp": "12/2022",
                  "card_type": "VISA",
                  "card_issuer_name": "Random Bank, London",
                  "card_issuer_country": "GB",
                  "card_funding_source": "Credit",
                  "card_subtype": "CONSUMER",
                  "card_network_attributes": {
                    "visa_direct_support": "2"
                  }
                }
              },
              "success mastercard response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "version": "1.3",
                  "timestamp": 1755853580,
                  "card_token": "af7d1b07c48fbeff116b2bb3e84fb4c9",
                  "card_number": "555555******1001",
                  "card_holder": "John Doe",
                  "card_exp": "12/2022",
                  "card_type": "MASTERCARD",
                  "card_issuer_name": "Random Bank, London",
                  "card_issuer_country": "GB",
                  "card_funding_source": "Credit",
                  "card_subtype": "CONSUMER",
                  "card_network_attributes": {
                    "mastercard_direct_support": "3"
                  }
                }
              },
              "failure response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "version": "1.3",
                  "timestamp": 1755853580,
                  "card_token": "af7d1b07c48fbeff116b2bb3e84fb4c9",
                  "card_number": "491694******1514",
                  "card_holder": "John Doe",
                  "card_exp": "12/2022",
                  "card_type": "VISA",
                  "card_issuer_name": "Random Bank, London",
                  "card_issuer_country": "GB",
                  "card_funding_source": "Credit",
                  "card_subtype": "CONSUMER",
                  "card_network_attributes": {}
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```